=== modified file 'bin/ubiquity-dm'
--- bin/ubiquity-dm	2014-07-16 12:22:57 +0000
+++ bin/ubiquity-dm	2014-07-18 14:45:07 +0000
@@ -575,8 +575,12 @@
             log("add_ubiquity_kdedir")
             add_ubiquity_kdedir()
             log('start kwin')
+            if osextras.find_on_path('kwin'):
+                wm_cmd = [ 'kwin']
+            elif osextras.find_on_path('kwin_x11'):
+                wm_cmd = [ 'kwin_x11' ]
             wm = subprocess.Popen(
-                'kwin', stdin=null, stdout=logfile, stderr=logfile,
+                wm_cmd, stdin=null, stdout=logfile, stderr=logfile,
                 preexec_fn=self.drop_privileges)
 
         log('start greeter')

=== modified file 'debian/changelog'
--- debian/changelog	2014-07-18 08:57:47 +0000
+++ debian/changelog	2014-07-18 14:45:07 +0000
@@ -1,3 +1,9 @@
+ubiquity (2.18.11ubuntu1) UNRELEASED; urgency=medium
+
+  * Make sure ubiquity-dm works on Plasma 5 KWin
+
+ -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 18 Jul 2014 16:43:56 +0200
+
 ubiquity (2.18.11) utopic; urgency=medium
 
   [ Martin Wimpress ]

=== modified file 'debian/control'
--- debian/control	2014-07-09 11:51:36 +0000
+++ debian/control	2014-07-18 14:45:07 +0000
@@ -56,7 +56,7 @@
 
 Package: ubiquity-frontend-kde
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, ubiquity (= ${binary:Version}), python3-pyqt4, kde-window-manager, xauth, python3-dbus, python3-dbus.mainloop.qt
+Depends: ${misc:Depends}, ${python3:Depends}, ubiquity (= ${binary:Version}), python3-pyqt4, kde-window-manager | kwin, xauth, python2-dbus, python3-dbus.mainloop.qt
 Provides: ubiquity-frontend-${mangled-version}
 Description: KDE frontend for Ubiquity live installer
  This package provides a KDE-based user interface frontend for the Ubiquity

